Provide more context for issue statuses
Status: Needs feedback Start date: 2009-04-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

An article popped up in my RSS feeds today about a new issue tracker called DoneDone.  One feature it provides is more context

around issue statuses.  Rather than try and describe this myself, it would be easier to look at 

http://www.wearemammoth.com/sprout/2009/04/when-it-comes-to-issues-looks-do-matter.html.  You can also see this on the official

site in the second point on http://www.getdonedone.com/features.aspx, the one about Issue Statuses.

I think this style of user interaction would be an excellent to bring to Redmine, making it more natural for users to push issues back

and forth without needing to scroll up/down through heaps of comments to find why they've been assigned the issue.

I have no idea this sort of extension is possible with the existing plug-in architecture.

History

#1 - 2009-04-20 04:09 - Paul Quirk

+1 Love this.

We in the development team LOVE Redmine but it can be hard to convince some of our business users to feel the same way.  I think this type of

approach would go a long way towards it.

#2 - 2013-03-18 14:30 - Dipan Mehta

Link are broken. But would like to understand more if explained here itself.

#3 - 2013-03-18 14:46 - Daniel Felix

Well as we are not able to understand the concrete idea please give feedback until next month. Otherwise this will be closed. Which would be sad.

I checked the homepage for myself and couldn't find any feature regarding different issue status functions.

#4 - 2013-03-18 14:47 - Daniel Felix

- Due date set to 2013-04-18

- Status changed from New to Needs feedback

#5 - 2013-03-19 02:09 - Anonymous

- File Selection_005.png added

That's annoying that the links have broken, but I guess it has been 4 years.

So the idea is to add more context about the transitions between statuses. Both Jira and Mingle do this by allowing labels to be added to status

transitions (Redmine only allows you to say if something can or can't move from A to B).  The following screenshot is from Jira and shows an issue

that is in "Backlog" with transitions available to "Defined" or "In Progress".  The key though is that they allow the user to label these transitions which

are then shown as actions:

 Selection_005.png 

This makes it a lot easier for people to understand what they can do with an issue, and makes it a lot faster to use to.  For example, an action at the

top labelled "Ready for testing" rather than having to click "Edit", then find the status drop-down, then look to find the "Testing" status.

#6 - 2013-03-19 15:08 - Dipan Mehta

If I understand it right here are following takeaways

1. There should be (nice) "Buttons" that jumps to specific direct actions as opposed to "Update"

These buttons can be many actions "New issue", "In progress"/ "Diagnosis", "Respond to Author", "Respond to assignee" etc.
2. The change of state can be one of those Action Buttons.

3. An obvious implication would be that only actions which are permitted to me based on workflow possibility and role permissions, should be

shown.

Also, we need to define as to where to keep these buttons. An obvious advantage of having such buttons is that they don't occupy space on the Menu

bar.

This is no functionality change, but might make UI attractive and intutive. Good to have this though!

By the way, there exists a plugin Issue Hot Buttons which achieves some of this. Unfortunately this isn't yet ported to latest Redmine!

#7 - 2013-03-20 00:52 - Anonymous

Yes - that plugin is close, but I would imagine that they would simply open the usual "Update" panel but with the status modified. This allows for a

consistent UI, with the ability to add comments, etc..

#8 - 2013-03-20 05:27 - Mischa The Evil

There also exists an other, older plugin which allows quick changing of the issue status: PluginSidebarIssueControl (Sidebar Issue Control ).

#9 - 2013-04-10 13:58 - Dipan Mehta

Mischa The Evil wrote:

There also exists an other, older plugin which allows quick changing of the issue status: PluginSidebarIssueControl (Sidebar Issue Control ).

 This sounds interesting - unfortunately, the plugin is quite outdated.

#10 - 2013-05-07 09:48 - Daniel Felix

- Due date deleted (2013-04-18)

Maybe I could find a way to solve this or give another approach. :-)
